Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class HtmlStringWriter

    java.lang.Object
      ix.iface.util.HtmlWriter
          ix.iface.util.HtmlStringWriter

Direct Known Subclasses:
  IPlanOptionTool.MatrixHtmlStringWriter, ObjectWhiteboard.ViewHtmlStringWriter

    public class HtmlStringWriter

extends HtmlWriter

Field Summary
`(package private) java.io.StringWriter` | `stringWriter`

Fields inherited from class ix.iface.util.HtmlWriter
`defaultAttributes, out, tagStack`

Constructor Summary
`HtmlStringWriter()`
`HtmlStringWriter(int initialSize)`
`HtmlStringWriter(java.io.StringWriter w)`

Method Summary
`void` | `close()`
`void` | `flush()`
`java.lang.StringBuffer` | `getBuffer()`
`java.lang.String` | `toString()`

Methods inherited from class ix.iface.util.HtmlWriter
`end, endTag, getDefaultAttributes, getTagDepth, getTagStack, indent, newLine, setDefaultAttributes, setDefaultAttributes, tag, tag, tag, tagged, tagged, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stringWriter

    java.io.StringWriter stringWriter

Constructor Detail

### HtmlStringWriter

    public HtmlStringWriter()

### HtmlStringWriter

    public HtmlStringWriter(int initialSize)

### HtmlStringWriter

    public HtmlStringWriter(java.io.StringWriter w)

Method Detail

### close

    public void close()

  Overrides:
    `close` in class `HtmlWriter`

### flush

    public void flush()

  Overrides:
    `flush` in class `HtmlWriter`

### getBuffer

    public java.lang.StringBuffer getBuffer()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD